Subject: bug#76769: 31.0.50; marking inconsistency between VC-Dir and dired-vc-next-action

From: Sean Whitton <[email-masked]>
Date: Sat, 08 Mar 2025 10:34:29 +0800

Hello,

On Thu 06 Mar 2025 at 10:01am +02, Eli Zaretskii wrote:

>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Sean Whitton <[email-masked]>
>> Date: Thu, 06 Mar 2025 11:56:59 +0800
>>
>> I think that for all the operations VC supports, passing a whole
>> directory along with some of the files in it is semantically equivalent
>> to just passing the whole directory.  If would have to be an esoteric,
>> highly VCS-specific operation to do anything other than that, I think?
>
> Are you sure this is true for all the supported VCSes?  AFAIR, some of
> them considered directories in special ways, others ignored them.

I'm not I'm expert in all of them, and so I'm not sure, no.

Can you remember anything more specific, or point me to a particular
VCS that you think might be different, that I could look into?

> We shouldn't design new VC features by looking at just one VCS.

Yes, very much agree.

-- 
Sean Whitton